| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Bindings::iToolSvc Class Reference

Inheritance diagram for GaudiPython::Bindings::iToolSvc:

[legend]
Collaboration diagram for GaudiPython::Bindings::iToolSvc:

[legend]

List of all members.

## Detailed Description

Definition at line 447 of file Bindings.py.

## Public Member Functions
def | __init__
def | retrieve
def | create
def | release
## Public Attributes
| OutputLevel
## Private Member Functions
def | _retrieve

## Member Function Documentation

def GaudiPython::Bindings::iToolSvc::__init__ | ( |  | self,
|  |  | name,
|  |  | its |
| ) |  |  |

Reimplemented from GaudiPython::Bindings::iService.

Definition at line 448 of file Bindings.py.

    00448                                 :
    00449     self.__dict__['_its'] = InterfaceCast(gbl.IToolSvc)(its)
    00450     iService.__init__(self, name, its)
      def _retrieve(self, name, quiet=True):

def GaudiPython::Bindings::iToolSvc::_retrieve | ( |  | self,
|  |  | name,
|  |  | quiet = `True` |
| ) |  |  | `[private]`

Definition at line 451 of file Bindings.py.

    00451                                        :
    00452     sol = _gaudi.OutputLevel
    00453     if quiet : self.OutputLevel = 6
    00454     if name.rfind('.') == -1 :
    00455       itool = Helper.tool(self._its, '', name, None, False )
    00456     elif name[0:8] == 'ToolSvc.' :
    00457       itool = Helper.tool(self._its, '', name[8:], None, False )
    00458     elif name.count('.') > 1 :
    00459       ptool = self._retrieve(name[:name.rfind('.')])
    00460       itool = Helper.tool(self._its, '', name[name.rfind('.')+1:], ptool, False )
    00461     elif _gaudi :
    00462       prop = _gaudi.property(name[:name.rfind('.')])
    00463       itool = Helper.tool(self._its, '', name[name.rfind('.')+1:], prop._ip, False )
    00464     if quiet : self.OutputLevel = sol
    00465     return itool
      def retrieve(self, name):

def GaudiPython::Bindings::iToolSvc::retrieve | ( |  | self,
|  |  | name |
| ) |  |  |

Definition at line 466 of file Bindings.py.

    00466                           :
    00467     return iAlgTool(name, self._retrieve(name,quiet=False))
      def create(self, typ, name=None, parent=None, interface=None) :

def GaudiPython::Bindings::iToolSvc::create | ( |  | self,
|  |  | typ,
|  |  | name = `None`,
|  |  | parent = `None`,
|  |  | interface = `None` |
| ) |  |  |

Definition at line 468 of file Bindings.py.

    00468                                                                 :
    00469     if not name : name = typ
    00470     itool = Helper.tool(self._its, typ, name, parent, True )
    00471     if interface :
    00472       return InterfaceCast(interface)(itool)
    00473     else :
    00474       return iAlgTool(name,itool)
      def release(self, itool) :

def GaudiPython::Bindings::iToolSvc::release | ( |  | self,
|  |  | itool |
| ) |  |  |

Definition at line 475 of file Bindings.py.

    00475                            :
    00476     if type(itool) is iAlgTool :
    00477       self._its.releaseTool(itool._itool)
    00478
    00479 #----iJopOptSvc class-------------------------------------------------------------------
    class iJobOptSvc(iService) :

## Member Data Documentation

GaudiPython::Bindings::iToolSvc::OutputLevel

Definition at line 453 of file Bindings.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Bindings.py